#######################################################################
# Copyright (c) 2014 ENEO Tecnologia S.L.
# This file is part of redBorder.
# redBorder is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# redBorder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# You should have received a copy of the GNU Affero General Public License
# along with redBorder. If not, see <http://www.gnu.org/licenses/>.
#######################################################################

class ReportMailer < ApplicationMailer
  extend MailerHelper
  default from: email_sender
  layout 'new_mailer'

  def report(report)
    @report = report
    manager_role = ::Chef::Role.manager
    webpage_url = manager_role.override_attributes['redborder']['webpage_url']
    @report_link = "https://#{webpage_url}/reports_historicals/#{report.reports_historicals.last.id}/visualize_pdf"
    mail(
      bcc: report.email_list,
      subject: "[redBorder] Report #{report.name}."
    )
    end
  end
end